|  | Home · All Classes · Modules

# QTextLayout.FormatRange Class Reference
[QtGui module]

The QTextLayout.FormatRange structure is used to apply extra formatting information for a specified area in the text layout's content. More...

### Methods

- __init__ (self)
- __init__ (self, FormatRange other)

### Members

- QTextCharFormat format
- int length
- int start

## Detailed Description

The QTextLayout.FormatRange structure is used to apply extra formatting information for a specified area in the text layout's content.

See also QTextLayout.setAdditionalFormats() and QTextLayout.draw().

## Method Documentation

### FormatRange.__init__ (self)

### FormatRange.__init__ (self, FormatRange other)

## Member Documentation

### QTextCharFormat format

Specifies the format to apply.

### int length

Specifies the numer of characters the format range spans.

### int start

Specifies the beginning of the format range within the text layout's text.